*R_create_dataset.sps.
GET FILE='/examples/data/Employee data.sav'.
BEGIN PROGRAM R.
casedata <- spssdata.GetDataFromSPSS()
stats <- summary(casedata$salary)
min <- c("min","",0,"F8.2","scale")
q1 <- c("q1","1st Quartile",0,"F8.2","scale")
median <- c("median","",0,"F8.2","scale")
mean <- c("mean","",0,"F8.2","scale")
q3 <- c("q3","3rd Quartile",0,"F8.2","scale")
max <- c("max","",0,"F8.2","scale")
dict <- spssdictionary.CreateSPSSDictionary(min,q1,median,mean,q3,max)
spssdictionary.SetDictionaryToSPSS("summary",dict)
data <- data.frame(min=stats[1],q1=stats[2],median=stats[3],
                   mean=stats[4],q3=stats[5],max=stats[6])
spssdata.SetDataToSPSS("summary",data)
spssdictionary.EndDataStep()
END PROGRAM.