*R_get_table_column.sps.
GET FILE='/examples/data/telco_extra.sav'.
OMS SELECT TABLES
 /IF COMMANDS=['Quick Cluster'] SUBTYPES=['Iteration History']
 /DESTINATION FORMAT=OXML XMLWORKSPACE='iter_table'
 /TAG='iter_out'.
QUICK CLUSTER
  zlnlong zlntoll zlnequi zlncard zlnwire zmultlin zvoice
  zpager zinterne zcallid zcallwai zforward zconfer zebill
  /MISSING=PAIRWISE
  /CRITERIA= CLUSTER(3) MXITER(10) CONVERGE(0)
  /METHOD=KMEANS(NOUPDATE)
  /PRINT INITIAL.
OMSEND TAG='iter_out'.
*Get output from the XML workspace using XPath.
BEGIN PROGRAM R.
mxiter = 10
handle <- "iter_table"
context <- "/outputTree"
xpath <- paste("//pivotTable[@subType='Iteration History']",
               "//dimension[@axis='column']",
               "/category[@number='1']",
               "/cell/@text")
res <- spssxmlworkspace.EvaluateXPath(handle,context,xpath)
if (length(res)==10) cat("Maximum iterations reached for QUICK CLUSTER procedure")
spssxmlworkspace.DeleteXmlWorkspaceObject(handle)
END PROGRAM.